/* $Id: svgalibggimisc.h,v 1.3 2004/09/18 11:55:36 cegger Exp $
******************************************************************************

   LibGGIMisc implementation for "svgalib" target -- header.
  
   Copyright (c) 2001      Brian S. Julin	bri@calyx.com
   Copyright (c) 1998-1999 Marcus Sundberg      marcus@ggi-project.org  
   
   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   The above copyright notice applies to all files in this package, unless 
   explicitly stated otherwise in the file itself or in a file named COPYING 
   in the same directory as the file.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#include <ggi/internal/misc.h>


/*
******************************************************************************
   Things you might want to change.
******************************************************************************
*/ 

/* Splitline support.
   This is experimental and not guaranteed to work on all
   cards.
   
   It has been successfully tested on CL5430 and Matrox
   Millenium (I and II) in all modes supported by SVGAlib.

   However this does not mean it will work on your card.
   Defining this might cause anything to happen to your
   computer.
   
   Now that you've been warned you're welcome to test it
   and send me bugreports and fixes. Just be sure to sync
   all disks before testing this. */
/*
#define WANT_DANGEROUS_SPLITLINE
*/

/*
******************************************************************************
   Do not change anything below this line.
******************************************************************************
*/


/*-* Function prototypes */

ggiMiscfunc_WaitRayPos GGIMISC_Svgalib_WaitRayPos;
ggiMiscfunc_GetRayPos GGIMISC_Svgalib_GetRayPos;
ggiMiscfunc_SetSplitline GGIMISC_Svgalib_SetSplitline;

struct svgalibggimisc_priv {
	/*-* Private structure members */
	unsigned short CRTD;
	unsigned short CRTI;
};


#define SVGALIBGGIMISC_PRIV(vis) ((struct svgalibggimisc_priv*) (LIBGGI_GGIMISCEXT(vis)->priv))


